For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
              • POSTCreate Coupon Code
              • GETGet Coupon Code
              • DELDelete Coupon Code
              • DELDelete Coupon Code by ID
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementPromotionsCoupon Codes Single

Delete Coupon Code

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/promotions/codes
DELETE
/stores/:store_hash/v3/promotions/codes
$curl -X DELETE "https://api.bigcommerce.com/stores/store_hash/v3/promotions/codes?code=TEST_COUPON" \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"

Deletes a coupon with a given coupon code.

Note: The default rate limit for this endpoint is 40 concurrent requests.

Was this page helpful?
Previous

Get Coupon Code

Next

Delete Coupon Code by ID

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Marketingmodifystore_v2_marketing
Marketingread-onlystore_v2_marketing_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

codestringRequired

Filter items by code.

Response

The deletion was successful or the resource does not exist.